# Uses of Class
com.ngrok.definitions.ReservedDomain

Packages that use ReservedDomain
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of ReservedDomain in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type ReservedDomain
  Modifier and Type
  Method
  Description
  `List<ReservedDomain>`
  ReservedDomainList.`getReservedDomains()`
  the list of all reserved domains on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type ReservedDomain
  Modifier
  Constructor
  Description
  ``
  `ReservedDomainList(List<ReservedDomain> reservedDomains, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `ReservedDomainList`.

- ## Uses of ReservedDomain in com.ngrok.services

  Methods in com.ngrok.services that return ReservedDomain
  Modifier and Type
  Method
  Description
  `ReservedDomain`
  ReservedDomains.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `ReservedDomain`
  ReservedDomains.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `ReservedDomain`
  ReservedDomains.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type ReservedDomain
  Modifier and Type
  Method
  Description
  `CompletionStage<ReservedDomain>`
  ReservedDomains.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<ReservedDomain>`
  ReservedDomains.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<ReservedDomain>`
  ReservedDomains.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.